Bug 445024 - Review Request: python-webhelpers - Helper routines for writing web applications
Review Request: python-webhelpers - Helper routines for writing web applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On: 445021
Blocks: 445028
  Show dependency treegraph
 
Reported: 2008-05-02 15:16 EDT by Kyle VanderBeek
Modified: 2015-01-14 06:54 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-31 17:36:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bdpepple: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kyle VanderBeek 2008-05-02 15:16:16 EDT
Spec URL: http://www.kylev.com/pylons-rpm/python-webhelpers.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-webhelpers-0.3.4-1.fc8.src.rpm
Description: Webhelpers is a library of useful and common functions used in generating web pages including HTML generation, escaping, and URL construction.  It is a prerequisite of Pylons.
Comment 1 Felix Schwarz 2008-05-10 17:23:37 EDT
$ rpmlint python-mako-0.1.10-1.fc8.src.rpm 
python-mako.src: W: summary-ended-with-dot Mako template library for Python.
Comment 2 Kyle VanderBeek 2008-05-11 20:23:01 EDT
Good to know I'm not the only guy who makes cut 'n paste errors.  You had me
confused for a moment (this is webhelpers, not mako).  But, the dot problem
existed here to so I fixed it and also added docs, plus fixed a warning about a
spurious executable bit on a doc file:

Spec URL: http://www.kylev.com/pylons-rpm/python-webhelpers.spec
SRPM URL: http://www.kylev.com/pylons-rpm/python-webhelpers-0.3.4-2.fc8.src.rpm
Comment 3 Brian Pepple 2008-05-26 18:54:53 EDT
MD5Sum:
16aacff76caf2e3c2284f1915e2fc57f  WebHelpers-0.3.4.tar.gz

Good:
* Source URL is canonical
* Upstream source tarball verified
* Package name conforms to the Fedora Naming Guidelines
* Group Tag is from the official list
* Valid license tag
* Buildroot has all required elements
* All paths begin with macros
* All necessary BuildRequires listed.
* Files have appropriate permissions and owners (except as noted below).
* Package installs and uninstalls cleanly

Bad:
* rpmlint produces the following errors that should be addressed before
importing into CVS:

python-webhelpers.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/webhelpers/textile.py 0644
python-webhelpers.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/webhelpers/markdown.py 0644

+1 APPROVED.
Comment 4 Kyle VanderBeek 2008-05-27 20:39:46 EDT
New Package CVS Request
=======================
Package Name: python-webhelpers
Short Description: Web helper routines for python, used in Pylons
Owners: kylev
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-30 15:45:28 EDT
cvs done.
Comment 6 Fedora Update System 2008-05-31 17:44:07 EDT
python-webhelpers-0.3.4-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Fedora Update System 2008-05-31 17:44:42 EDT
python-webhelpers-0.3.4-2.fc9 has been submitted as an update for Fedora 9
Comment 8 Fedora Update System 2008-06-12 22:20:57 EDT
python-webhelpers-0.3.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-06-12 22:25:12 EDT
python-webhelpers-0.3.4-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-07-26 02:04:21 EDT
python-webhelpers-0.3.4-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Kim 2015-01-13 17:21:37 EST
Package Change Request
======================
Package Name: python-webhelpers 
New Branches: epel7
Owners: kylev kim27
InitialCC: 

Please see #1163577 for request for epel 7 status.
Comment 12 Gwyn Ciesla 2015-01-14 06:54:12 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.